> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# List Routing Forms

GET https://api.calendly.com/routing_forms

Get a list of Routing Forms for a specified Organization.

> `routing_forms:read`

Reference: https://developer.calendly.com/api-docs/calendly-api/routing-forms/list-routing-forms

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Query parameters

- `organization` (string, required) — View organization routing forms associated with the organization's URI.
- `count` (integer, optional, default: 20) — The number of rows to return
- `page_token` (string, optional) — The token to pass to get the next or previous portion of the collection
- `sort` (string, optional) — Order results by the specified field and direction. Accepts comma-separated list of \{field}:\{direction} values. Supported fields are: created\_at. Sort direction is specified as: asc, desc.

## Response

### 200

OK

- `collection` (list of RoutingForm, required)
- `pagination` (Pagination, required)

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission denied or insufficient scope

- `List-routing-formsRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### RoutingForm

Information about a routing form.

- `uri` (string, required) — Canonical reference (unique identifier) for the routing form.
- `organization` (string, required) — The URI of the organization that's associated with the routing form.
- `name` (string, required) — The routing form name (in human-readable format).
- `status` (enum, required) — Indicates if the form is in "draft" or "published" status.
  - Allowed values: `draft`, `published`
- `questions` (list of Question, required) — An ordered collection of Routing Form non-deleted questions.
- `created_at` (string, required) — The moment the routing form was created.
- `updated_at` (string, required) — The moment when the routing form was last updated.

### Pagination

- `count` (integer, required) — The number of rows to return
- `next_page` (string, required, nullable) — URI to return the next page of an ordered list ("null" indicates no additional results are available)
- `previous_page` (string, required, nullable) — URI to return the previous page of an ordered list ("null" indicates no additional results are available)
- `next_page_token` (string, required, nullable) — Token to return the next page of an ordered list ("null" indicates no additional results are available)
- `previous_page_token` (string, required, nullable) — Token to return the previous page of an ordered list ("null" indicates no additional results are available)

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### ListRoutingFormsRequestForbiddenError0

Error Object

- `title` (enum, required)
  - Allowed values: `Permission Denied`
- `message` (enum, required)
  - Allowed values: `You do not have permission to access this resource.`, `You do not have permission`
- `details` (list of ErrorResponseDetailsItem, optional)

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### Question

Routing form questions.

- `uuid` (string, required) — Unique identifier for the routing form question.
- `name` (string, required) — Question name (in human-readable format).
- `type` (enum, required) — Question type: name, text input, email, phone, textarea input, dropdown list or radio button list.
  - Allowed values: `name`, `text`, `email`, `phone`, `textarea`, `select`, `radios`
- `required` (boolean, required) — true if an answer to the question is required for respondents to submit the routing form; false if not required.
- `answer_choices` (list of string, required, nullable) — The respondent’s option(s) for "select" or "radios" types of questions.

## Examples

**Response**

```json
{
  "collection": [
    {
      "uri": "https://api.calendly.com/routing_forms/AAAAAAAAAAAAAAAA",
      "organization": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
      "name": "ACME Demo",
      "status": "published",
      "questions": [
        {
          "uuid": "dddddddd-dddd-dddd-dddd-dddddddddddd",
          "name": "What is your industry?",
          "type": "select",
          "required": true,
          "answer_choices": [
            "IT & Software",
            "Financial Services",
            "Entertainment"
          ]
        },
        {
          "uuid": "eeeeeeee-eeee-eeee-eeee-eeeeeeeeeeee",
          "name": "Email",
          "type": "email",
          "required": true,
          "answer_choices": null
        }
      ],
      "created_at": "2022-05-15T03:04:05.678Z",
      "updated_at": "2022-05-15T06:05:04.321Z"
    }
  ],
  "pagination": {
    "count": 20,
    "next_page": "https://api.calendly.com/routing_forms?count=1&page_token=d8T0LKQ1XsC2utmPlI7TFPpHX4SSfoGl",
    "previous_page": "https://api.calendly.com/routing_forms?count=1&page_token=VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H",
    "next_page_token": "d8T0LKQ1XsC2utmPlI7TFPpHX4SSfoGl",
    "previous_page_token": "VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H"
  }
}
```

**SDK Code**

```python Routing Forms
import requests

url = "https://api.calendly.com/routing_forms"

querystring = {"organization":"https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA","sort":"created_at:asc"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Routing Forms
const url = 'https://api.calendly.com/routing_forms?organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&sort=created_at%3Aasc';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Routing Forms
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/routing_forms?organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&sort=created_at%3Aasc"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Routing Forms
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/routing_forms?organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&sort=created_at%3Aasc")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Routing Forms
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/routing_forms?organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&sort=created_at%3Aasc")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Routing Forms
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/routing_forms?organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&sort=created_at%3Aasc', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Routing Forms
using RestSharp;

var client = new RestClient("https://api.calendly.com/routing_forms?organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&sort=created_at%3Aasc");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Routing Forms
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/routing_forms?organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&sort=created_at%3Aasc")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```